# Useful for development, TODO remove for production
__precompile__(false)

module CaosDB

using CxxWrap

# Adapt this path if you haven't compiled jlcaosdb to `caosdb-julialib/build`
@wrapmodule(joinpath(@__DIR__, "../jlcaosdb/build/lib/libjlcaosdb"))

function __init__()
    @initcxx
end

"""
    get_libcaosdb_version()

Returns the version string of libcaosdb with which this package has
been built.
"""
function get_libcaosdb_version()
    major = get_libcaosdb_version_major()
    minor = get_libcaosdb_version_minor()
    patch = get_libcaosdb_version_patch()

    return "$major.$minor.$patch"
end

end # module
